# Способы развертывания приложения

Данное приложение может поставляться on-premise в 2х вариантах:

- облачное решение, поставляется в виде подготовленных Docker-образов
- пакетное решение, поставляется в виде npm-пакетов


Для администрирования каждого решения необходимы следующие компетенции 


| Компетенция | Поставка Docker  | Поставка npm-пакетами |
| ----------- | ---------- |  ---------- |
| Network     |  + |  + |
| Database    |  + |  + |
| Docker      |  + |    |
| Nginx       |  + |  + |
| NPM         |    |  + |
| PM2         |    |  + |
| Redis       |    |  + |
| RabbitMQ    |    |  + |

!!! note
    Команды docker для сборки, выгрузки и загрузки можно посмотреть по ссылке https://docs.docker.com/engine/reference/commandline/cli/.
	Команды для запуска и управления сервисами через docker-compose можно посмотреть по ссылке https://docs.docker.com/compose/reference/overview/

	Команды для запуска и управления сервисами через  NPM https://docs.npmjs.com/ , https://pm2.io/docs/plus/overview/