# Конфигурирование экземпляра приложения

Конфигурация приложения разделена на несколько файлов
основой служит сервис конфигурации который считывает файл и отдает его содержимое по апи

!!! warning 
    Необходимо помнить что файлы конфигурации содержат информацию для ограниченного доступа

Каталог с файлами сервиса конфигурации содержит следующие файлы:

| Имя | Описание |
|-----|----------|
| ./config/production.js   | - конфигурация для сервисов приложения 
| ./nginx/default.conf     | - настройки сервиса entrypoint (маршруты)
| ./SQL/                   | - настроечные скрипты для сервера БД (для ручного запуска)

Для каждого дополнительного сервиса может быть создан отдельный каталог с его настройками. 
Например, для сервиса работы с ОЭП(dss-service) в конфигурации может присутствовать каталог dss c файлами настроек.

Если каталог с дополнительными настройками сервиса не присутствует - то сервис запускается с настройками по умолчанию.

!!! note
    Для конфигурирования отдельных экземпляров приложения рекомендуется создавать отдельные каталоги для каждого экземпляра.

## Подготовка файлов конфигурации приложения

2. проверить настройки в файле ./config/production.js. Других файлов в каталоге ./config/ быть не должно.
3. необходимо проверить маршруты описанные в /nginx/default.conf. Они должны отображаться на сервисы используемые в приложении.
