# Распространение приложения использованием образов Docker

Для развертывания сконфигурированного ранее приложения необходимо выполнить следующие шаги:

1. Cкопировать файлы развертывания приложения __docker-compose.yml__, __.env__  на сервер приложения. Эти файлы идут в составе поставки пакета сервиса конфигурации приложения. Если сборка образа конфигурации была на текущем сервере - тогда этот шаг можно пропустить.
   
2. Запустить приложение 

```bash
docker-compose up -d
```

!!!warning
     Обратите внимание что образ сервиса конфигурации с **файлами конфигурации** конкретного экземпляра приложения собирается отдельно от образов содержащих сервисы приложения, и содержит все необходимые настройки для экземпляра приложения. Такой подход позволяет переиспользовать образы сервисов приложения с разными **сервисами конфигурации**.

     Файл docker-compose.yml содержит описание необходимых для запуска сервисов.