# preview

## Описание

Сервис предназначен для конвертации файлов в файлы в формате pdf, которые можно просматривать в контроле FilePreview

!!! note
    Опциональный элемент системы. API доступно только внутри инфраструктуры серверной части lexema8. 

## Настройки сервиса превью

- **protocol** - используемый веб-протокол (по умолчанию 'http').
- **host** - имя хоста (по умолчанию 'localhost').
- **port** - порт для запуска (по умолчанию - 3074).
- **timeout** - количество миллисекунд бездействия, после которого считается, что время ожидания истекло (по умолчанию 120). В режиме продакшена может потребоваться дополнительная настройка таймаута для веб-сервера (nginx).
- **script** - путь к модулю, запускающему сервис (рекомендуемое 'ecosoft-lexema8-preview-creator-service').
- **fileSizeLimit** - максимальный размер конвертируемого файла (по умолчанию '30mb').
- **maxRetry** - количество попыток сконвертировать файл, после которых возникнет ошибка (по умолчанию - 3).
- **resultTTL** - время хранения готового результата (файла или ошибки) в миллисекундах, в случае отсутствия соединения для ответа (socket) (по умолчанию - 10 * 60 * 1000).
- **disablePdfConversion** - позволяет выключить конвертирование pdf-файлов (в этом случае сервис вернет исходный pdf-файл). По умолчанию - false (конвертирование включено).