# sheduler

## Описание

Сервис планировщик задач

!!! note
    Опциональный элемент системы. API доступно только внутри инфраструктуры серверной части lexema8. 
## Настройки сервиса - планировщика заданий

!!! note
     Раздел applications { scheduler { }} конфигурационного файла ./config/production.js

- **protocol** - используемый веб-протокол (рекомендуемое '`http`').
- **host** - имя хоста (рекомендуемое '`localhost`').
- **port** - порт для запуска (рекомендуемое - `3075`).
- **route** - используемый маршрут (по умолчанию '`/api/v2.0/scheduler`').
- **timeout** - количество миллисекунд бездействия, после которого считается, что время ожидания истекло (по умолчанию `120`). В режиме продакшена может потребоваться дополнительно настроить таймаут для веб-сервера (nginx).
- **script** - путь к модулю, запускающему сервис (рекомендуемое '`ecosoft-lexema8-scheduler-service`').
- **clientInfo** - Объект содержащий данные для получения токенов для работы с приложением.
  - **clientId** - id стороннего приложения. Указанный id не рекомендуется использовать для других сторонних приложений.
  - **clientSecret** - секретный ключ стороннего приложения.
- **defaultUser** - ключ пользователя из объекта users для работы с приложением.
- **users** - объект содержащий данные о пользователях для работы с приложением. Пример:

```  
    - `default` - ключ пользователя
    - `userName`: %Имя пользователя%,
    - `password`: %Пароль пользователя%  
```

- **functions** - массив названий подключаемых к сервису пакетов функций.
- **attemptsLimit** - количество попыток инициализации сервиса (по умолчанию `6`).
- **beginTimeout** - таймаут между попытками инициализации сервиса (по умолчанию `1000`).
