# Сборка Docker образа сервиса конфигурации

Для сборки образа сервиса конфигурации необходимо перейти в каталог с файлами пакета конфигурации и выполнить команду сборки.

Сборка образа
``` bash 
docker build -f configuration.dockerfile -t <имя создаваемого образа> <путь до каталога>
```

Пример
``` bash 
docker build -f configuration.dockerfile -t bitedo.configuration-service .
```

После сборки готовый образ нужно скопировать на сервер приложений. 

Образ содержит все настройки и готов к созданию контейнера в составе приложения. 



!!! note
    Команды docker для сборки, выгрузки и загрузки можно посмотреть по ссылке https://docs.docker.com/engine/reference/commandline/cli/.

    <!-- Можно использовать [шпаргалки](./mini_notes.md) для работы с docker -->  