# Настройка обозревателя аналитик

## Общее описание назначения документа

Настройка обозревателя аналитик (ОА) служит для выделения уникальных узлов в справочнике, открывающемся по кнопке <img src="../media/uaButton.png" style="height:30px;border:0px">, нажатие на которую открывает всплывающее окно с формой обозревателя аналитик. Так, если существует настройка ОА для контрагентов, то по нажатию на кнопку рядом с соответствующим полем 

![Пример лукапа с ОА](./media/lookupExample.png)

откроется всплывающее окна с ОА, содержащее в качестве верхнего узла "Контрагенты".

![Пример ОА для лукапа](./media/uaExample.png){: .zoom}

## Реестр

Чтобы открыть реестр настроек обозревателя аналитик, необходимо в меню в папке "Администрирование", подпапке "Обозреватель аналитик" выбрать пункт "Настройка обозревателя аналитик".

![Меню](./media/menu.png)

Откроется реестр документов.

![Реестр "Настройка обозревателя аналитик"](./media/registry.png){: .zoom}

Для создания нового документа необходимо нажать на кнопку "Создать" на верхней панели инструментов

![](./media/create.png)

## Документ

В поле "Наименование" необходимо заполнить одним из стандартных значений из [таблицы ниже](#таблица).

В поле "Код" содержатся все узлы ОА. Нужный узел можно выбрать при помощи самого ОА, нажав на кнопку <img src="../media/uaButton.png" style="height:30px;border:0px">.

![Пример настройки для контрагентов](./media/docExample.png)

## Таблица сочетаний наименований и кодов {#таблица}

Наименование | Код
-------------|----
Base.Projects | Проекты
Woker | Кадры
Contract | Договоры
Department | Подразделения
Contacts | Контактные лица
Contractor | Контрагент
Interest | Интересы
Project | Проекты
AdditionalContract | Дополнительные документы
Currency | Валюта
NotRezident | A-Z Иностранные организации (нерезиденты)
Storage | Склады
BasicMeans | Объекты учета
ItemOfExpenses | Статьи затрат
Bank | Банки
PrimaryDocument | Первичные документы
MaterialGroup | Номенклатура/материалы/услуги
Investment | Капиталовложения
VatRate | Ставки НДС
ItemOfBdds | Статьи ДДС
Measure | Единицы измерения
SegmentValue | Отрасль
ExpensesFuture | Расходы будущих периодов
Bill | Вексель
ArticleOfExpenses | Статьи доходов и расходов
TaxablePeriod | Налоговые периоды
RP_Person | Физические лица
NotRezident_Interest | A-Z Иностранные организации (нерезиденты)
TaxLiability | Виды активов и обязательств
TaxGroup | Налоговые группы ОС
TaxRateProps | Статьи налога на имущество
EquipmentGroup | Оборудование
MaterialGeneralizedName | Обобщенная номенклатура
Zero | 0-9
Origin | Корень
Direction | Направления
TypesOfFixed | Виды выбытия ОС