# Подготовка сервера  приложения для развертывания Docker образов

Сервер приложений - это хост для выполнения Docker контейнеров приложения.

## Установка пакетов:

   * docker <https://docs.docker.com/engine/install/ubuntu/>,
   * docker-compose <https://docs.docker.com/compose/install/linux/>

## Настройки Docker Network

   Для межсервисного трафика при запуске приложения создается отдельная виртуальная сеть с именем проекта

   Для взаимодействия с внешними сервисами необходимо создать виртуальную сеть с именем __proxy__.

Cоздание сети proxy следующей командой:
```bash
docker network create proxy
```

## Размещение образов, предоставленные компанией ООО "Лексема" на сервере приложения

Создать временную папку для загрузки образов
```bash
mkdir /tmp/lexema && cd /tmp/lexema
```

Скопировать архивы образов в папку _/tmp/lexema_ на сервере.

Выполнить команду загрузки образов
```bash
docker load -i *.tar
```

Удалить образы
```bash
rm -f *.tar
```

## Настройка сервера для доступа к сервису обновлений

!!! note  
        На этапе внедрения сервис обновлений  ООО "Лексема"  не используется.
        Для поставки пакетов с новым функционалом используется сетевой ресурс в сети заказчика. Обновления производятся заказчиком самостоятельно.

