# Шаги по запуску системы в опытно-промышленную эксплуатацию

## Развертывание и инициализация системы

### Шаги для Системного администратора

| <div style="width:10px">№</div> | <div style="width:100px">Шаг</div> | <div style="width:150px">Описание</div> | <div style="width:200px">Результат</div>
| -----|----------|--------------------------------------|-----------------
| 1 | Развертывание системы  |Необходимо запустить инсталлятор системы. При запуске указать необходимые параметры: <p><ul class="uldisc"><li>Выбрать СУБД - MS SQL или PostgreSQL</li><li>Классический СЭД или Кадровое ЭДО или Полный комплект</li><li>Компания</li><li>Логин и пароль администратора проекта</li></ul></p> |  <p><ul class="uldisc"><li>Развернут сайт</li><li>Созданы базы данных с таблицами, связями (как одним словом про структуру сказать)</li><li>Развернут Docker-образ </li></ul>Зайти в систему Lexema-ECM можно под указанным логином и паролем через локально развернутый сайт. Сайт доступен только на компьютере, где запускали инсталлятор систем</p> 
| 2 | Публикация сайта | Публикация сайта | Сайт доступен либо в интранете, либо в интернете
| 3 | Инициализация настроек проекта данными по умолчанию | Необходимо нажать кнопку в документе Настройки. При нажатии кнопки происходит заполнение справочников системы данными по умолчанию. В дальнейшем эта информация может быть отредактирована в соответствующих справочниках системы | По умолчанию заполнены следующие настройки и справочники системы: <p><ul class="uldisc"><li><a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%A1%D0%AD%D0%94/%D0%9A%D0%BE%D0%BD%D1%82%D1%80%D0%B0%D0%B3%D0%B5%D0%BD%D1%82%D1%8B/%D0%9A%D0%BE%D0%BD%D1%82%D1%80%D0%B0%D0%B3%D0%B5%D0%BD%D1%82%D1%8B/" target="_top">Контрагенты</a> (1 контрагент и это наша компания)</li><li><a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%9A%D0%AD%D0%94%D0%9E/%D0%9F%D0%BE%D0%B4%D1%80%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB%D0%B5%D0%BD%D0%B8%D1%8F/%D0%9F%D0%BE%D0%B4%D1%80%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB%D0%B5%D0%BD%D0%B8%D1%8F/" target="_top">Подразделения</a>, <a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%9A%D0%AD%D0%94%D0%9E/%D0%94%D0%BE%D0%BB%D0%B6%D0%BD%D0%BE%D1%81%D1%82%D0%B8/%D0%94%D0%BE%D0%BB%D0%B6%D0%BD%D0%BE%D1%81%D1%82%D0%B8/" target="_top">Должности</a>, <a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%9A%D0%AD%D0%94%D0%9E/%D0%A8%D1%82%D0%B0%D1%82%D0%BD%D1%8B%D0%B5%20%D0%B5%D0%B4%D0%B8%D0%BD%D0%B8%D1%86%D1%8B/%D0%A8%D1%82%D0%B0%D1%82%D0%BD%D1%8B%D0%B5%20%D0%B5%D0%B4%D0%B8%D0%BD%D0%B8%D1%86%D1%8B/" target="_top">Штатные единицы</a> (заведены для примера общераспространенные)</li><li><a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%9A%D0%AD%D0%94%D0%9E/%D0%A1%D0%BE%D1%82%D1%80%D1%83%D0%B4%D0%BD%D0%B8%D0%BA%D0%B8/%D0%A1%D0%BE%D1%82%D1%80%D1%83%D0%B4%D0%BD%D0%B8%D0%BA%D0%B8/" target="_top">Сотрудники</a> (заполнены данные по 1 сотруднику для примера)</li><li>Настроена поисковая система (в поиск включены карточки документов и настроены правила выдачи информации)</li><li>Выполнена <a href="../../Сборка документооборота/Сборка документооборота/" target="_top">сборка таблиц, участвующих в документообороте, в БД</a>, участвующих в документообороте</li><li>Заполнены <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/" target="_top">настройки для регистрационных карточек документов</a>, участвующих в документообороте</li><li>Заполнены <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D1%88%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%D0%BE%D0%B2%20%D0%BC%D0%B0%D1%80%D1%88%D1%80%D1%83%D1%82%D0%BE%D0%B2/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D1%88%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%D0%BE%D0%B2%20%D0%BC%D0%B0%D1%80%D1%88%D1%80%D1%83%D1%82%D0%BE%D0%B2/" target="_top">настройки маршрутов документов</a> типовыми этапами</li><li>Заполнен <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%96%D1%83%D1%80%D0%BD%D0%B0%D0%BB%20%D1%80%D0%B5%D0%B3%D0%B8%D1%81%D1%82%D1%80%D0%B0%D1%86%D0%B8%D0%B8/%D0%96%D1%83%D1%80%D0%BD%D0%B0%D0%BB%20%D1%80%D0%B5%D0%B3%D0%B8%D1%81%D1%82%D1%80%D0%B0%D1%86%D0%B8%D0%B8/" target="_top">Журнал регистрации</a> и настроена нумерация в журналах правилами по умолчанию</li><li>Заполнены справочники, используемые в регистрационных карточках документов значениями по умолчанию: <ul class="ulcircle"><li><a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%A1%D0%AD%D0%94/%D0%A2%D0%B8%D0%BF%D1%8B%20%D0%B2%D1%85%20%D0%B8%20%D0%B8%D1%81%D1%85%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/%D0%A2%D0%B8%D0%BF%D1%8B%20%D0%B2%D1%85%20%D0%B8%20%D0%B8%D1%81%D1%85%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/" target="_top">Типы документов</a>, <a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%A1%D0%AD%D0%94/%D0%92%D0%B8%D0%B4%D1%8B%20%D0%B4%D0%BE%D1%81%D1%82%D0%B0%D0%B2%D0%BA%D0%B8%20%D1%83%20%D0%B2%D1%85%20%D0%B8%20%D0%B8%D1%81%D1%85/%D0%92%D0%B8%D0%B4%D1%8B%20%D0%B4%D0%BE%D1%81%D1%82%D0%B0%D0%B2%D0%BA%D0%B8%20%D1%83%20%D0%B2%D1%85%20%D0%B8%20%D0%B8%D1%81%D1%85/" target="_top">Виды доставки</a> (для входящих и исходящих документов)</li><li><a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%9A%D0%AD%D0%94%D0%9E/%D0%9F%D0%BE%D0%B4%D1%82%D0%B8%D0%BF%D1%8B%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/%D0%9F%D0%BE%D0%B4%D1%82%D0%B8%D0%BF%D1%8B%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/" target="_top">Подтипы документов</a> (для всех типов карточек)</li><li><a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%A1%D0%AD%D0%94/%D0%A4%D0%BE%D1%80%D0%BC%D1%8B%20%D1%81%D0%BE%D0%B1%D1%81%D1%82%D0%B2%D0%B5%D0%BD%D0%BD%D0%BE%D1%81%D1%82%D0%B8/%D0%A4%D0%BE%D1%80%D0%BC%D1%8B%20%D1%81%D0%BE%D0%B1%D1%81%D1%82%D0%B2%D0%B5%D0%BD%D0%BD%D0%BE%D1%81%D1%82%D0%B8/" target="_top">Организационно-правовые формы</a> (для контрагентов)</li><li><a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%A1%D0%AD%D0%94/%D0%92%D0%B8%D0%B4%D1%8B%20%D0%B4%D0%BE%D0%B3%D0%BE%D0%B2%D0%BE%D1%80%D0%BE%D0%B2/%D0%92%D0%B8%D0%B4%D1%8B%20%D0%B4%D0%BE%D0%B3%D0%BE%D0%B2%D0%BE%D1%80%D0%BE%D0%B2/" target="_top">Виды договоров</a>, <a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%A1%D0%AD%D0%94/%D0%A2%D0%B8%D0%BF%D1%8B%20%D0%B4%D0%BE%D0%B3%D0%BE%D0%B2%D0%BE%D1%80%D0%BE%D0%B2/%D0%A2%D0%B8%D0%BF%D1%8B%20%D0%B4%D0%BE%D0%B3%D0%BE%D0%B2%D0%BE%D1%80%D0%BE%D0%B2/" target="_top">Типы договоров</a>, <a href="https://ecm-user-manuals.readthedocs.io/ru/latest/User%20manuals/%D0%A1%D0%AD%D0%94/%D0%A1%D1%82%D0%B0%D1%82%D1%83%D1%81%D1%8B%20%D0%B4%D0%BE%D0%B3%D0%BE%D0%B2%D0%BE%D1%80%D0%BE%D0%B2/%D0%A1%D1%82%D0%B0%D1%82%D1%83%D1%81%D1%8B%20%D0%B4%D0%BE%D0%B3%D0%BE%D0%B2%D0%BE%D1%80%D0%BE%D0%B2/" target="_top">Статусы договоров</a>, <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%A1%D1%82%D0%B0%D0%B2%D0%BA%D0%B8%20%D0%9D%D0%94%D0%A1/%D0%A1%D1%82%D0%B0%D0%B2%D0%BA%D0%B8%20%D0%9D%D0%94%D0%A1/" target="_top">Ставки НДС</a>, <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%92%D0%B0%D0%BB%D1%8E%D1%82%D0%B0/%D0%92%D0%B0%D0%BB%D1%8E%D1%82%D0%B0/" target="_top">Валюта</a> (для договоров)</li><li><a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%A2%D0%B8%D0%BF%D1%8B%20%D0%B2%D0%BB%D0%BE%D0%B6%D0%B5%D0%BD%D0%B8%D0%B9/%D0%A2%D0%B8%D0%BF%D1%8B%20%D0%B2%D0%BB%D0%BE%D0%B6%D0%B5%D0%BD%D0%B8%D0%B9/" target="_top">Типы вложений</a> (для всех типов карточек)</li></ul></li></ul></p>

## Настройка системы для опытно-промышленной эксплуатации

### Шаги для Администратора проекта

<table>
  <thead>
    <tr>
      <th><div style="width:20px">№</div></th>
      <th><div style="width:100px">Шаг</div></th>
      <th><div style="width:300px">Описание</div></th>
      <th><div style="width:100px">Результат</div></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>4</td>
      <td>Создание пользователей системы</td>
      <td>Процесс создания пользователей может быть <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%90%D0%B2%D1%82%D0%BE%D0%BC%D0%B0%D1%82%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%BE%D0%B5%20%D1%81%D0%BE%D0%B7%D0%B4%D0%B0%D0%BD%D0%B8%D0%B5%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D0%B5%D0%B9/%D0%90%D0%B2%D1%82%D0%BE%D0%BC%D0%B0%D1%82%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%BE%D0%B5%20%D1%81%D0%BE%D0%B7%D0%B4%D0%B0%D0%BD%D0%B8%D0%B5%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D0%B5%D0%B9/">автоматизированным</a> и <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%A3%D0%BF%D1%80%D0%B0%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8F%D0%BC%D0%B8/%D0%A3%D0%BF%D1%80%D0%B0%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8F%D0%BC%D0%B8/#%D1%81%D0%BE%D0%B7%D0%B4%D0%B0%D0%BD%D0%B8%D0%B5_%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D1%8F.">ручным.</a><li><a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D0%B5%D0%B9/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D0%B5%D0%B9/#%D0%B3%D0%BE%D1%80%D0%B8%D0%B7-%D0%BF%D1%80%D0%B0%D0%B2%D0%B0" target="_top">Указать руководителя</a>, который будет выступать подписантом в документах этого сотрудника.</li>
    </tr>
    <tr>
      <td>5</td>
      <td>Назначение <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D0%B5%D0%B9/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D1%82%D0%B5%D0%BB%D0%B5%D0%B9/#%D0%B3%D0%BE%D1%80%D0%B8%D0%B7-%D0%BF%D1%80%D0%B0%D0%B2%D0%B0" target="_top">прав</a> и <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%91%D0%B8%D0%B7%D0%BD%D0%B5%D1%81-%D1%80%D0%BE%D0%BB%D0%B8/" target="_top">ролей</a> пользователям в системе</td>
      <td>В системе предусмотрены роли бизнес роли, которые дают пользователям разнообразные права в соотвествии с их функциональными обязанностями. Подробнее о ролях написано в <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%91%D0%B8%D0%B7%D0%BD%D0%B5%D1%81-%D1%80%D0%BE%D0%BB%D0%B8/" target="_top">соответствующем разделе</a>. Кроме того, руководителям отделов можно настроить возможность просматривать документы сотрудников своего отдела без непосредственного участия в маршрутах, так называемые <a href="latest/../../../User managment/Настройка пользователей/Настройка пользователей/#документооборот" target="_top">горизонтальные права</a></td>
      <td>Права настроены и роли назначены</td>
    </tr>
    <tr>
      <td>6</td>
      <td>Актуализация настроек документов и маршрутов согласования документов</td>
      <td>В Lexema-ECM предусмотрено два главных настроечных документа, регламентирующих работу документов и маршрутов согласования. Это: <p><ul class="uldisc"><li><a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D0%B4%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2/" target="_top">Настройка документов</a></li><li><a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D1%88%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%D0%BE%D0%B2%20%D0%BC%D0%B0%D1%80%D1%88%D1%80%D1%83%D1%82%D0%BE%D0%B2/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20%D1%88%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%D0%BE%D0%B2%20%D0%BC%D0%B0%D1%80%D1%88%D1%80%D1%83%D1%82%D0%BE%D0%B2/" target="_top">Настройка шаблонов маршрутов</a></li></ul>При инициализации системы настройки заполняются значениями по умолчанию, которые можно актуализировать. Настройка документов – определяет виды действий, доступные в документе (согласовать, утвердить, подписать и т.д.) и возможности участников маршрутов в этом документе (возможность отозвать документ, отклонить документ или получать уведомления и т.д.). Настройка шаблонов маршрутов предназначена для хранения часто используемых маршрутов согласования. Как правило, в документах маршруты доступны для ручной корректировки, но можно назначить жесткий маршрут, в котором обязательно участие какого-то конкретного сотрудника. Эти и подобные возможности можно заложить в настройке шаблона маршрута. Подробнее о настройках написано в соответствующих разделах.</p></td>
      <td>Маршруты актуализированы в соответствии с внутренними регламентами Заказчика</td>
    </tr>
    <tr>
      <td>7</td>
      <td>Настройка структуры компании для холдинга</td>
      <td>Настройка структуры холдинга происходит в документе <a href="https://ecm-administrator-manuals.readthedocs.io/ru/latest/Admin%20manuals/%D0%A3%D0%BF%D1%80%D0%B0%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5%20%D0%BA%D0%BE%D0%BC%D0%BF%D0%B0%D0%BD%D0%B8%D1%8F%D0%BC%D0%B8/%D0%A3%D0%BF%D1%80%D0%B0%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5%20%D0%BA%D0%BE%D0%BC%D0%BF%D0%B0%D0%BD%D0%B8%D1%8F%D0%BC%D0%B8/" target="_top">Управление компаниями</a>. В новом филиале необходимо завести сотрудников и назначить роли, настроить шаблоны для маршрутов. Настройки документов являются общими для всего холдинга.</td>
      <td>Работа в холдинге настроена</td>
    </tr>
  </tbody>
</table>
 


**ПОЗДРАВЛЯЕМ!**

**ВЫ ПРОШЛИ 7 ВАЖНЫХ ШАГОВ И СИСТЕМА LEXEMA-ECM ГОТОВА К ЭКСПЛУАТАЦИИ!**

По вопросам, возникающим при настройке системы можно обратиться в техническую поддержку.